Subject: Re: bug#47833: 27.2; Incomplete list of optional arguments in the docstring of `map-y-or-n-p'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Apr 2021 11:26:24 +0300

> From: Glenn Morris <[email-masked]>
> Date: Fri, 16 Apr 2021 22:03:15 -0400
> Cc: [email-masked]
> 
> > -Takes args PROMPTER ACTOR LIST, and optional args HELP and ACTION-ALIST.
> > +Takes args PROMPTER ACTOR LIST, and optional args HELP,
> > +ACTION-ALIST and NO-CURSOR-IN-ECHO-AREA.
> 
> I suggest instead removing the sentence, which does nothing other than
> list the arguments. describe-function displays the argument list anyway.

Indeed.

The doc string of that function and its description in the ELisp
manual "needed work", so I fixed them on the emacs-27 branch, and I'm
marking this bug done.